"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserialize = exports.serialize = void 0;
function serialize(data) {
    if (typeof data === "undefined")
        data = null;
    return JSON.stringify(data);
}
exports.serialize = serialize;
function deserialize(data) {
    try {
        return data ? JSON.parse(data) : null;
    }
    catch (_a) {
        return null;
    }
}
exports.deserialize = deserialize;
